import { SetNameRequest, SetSymbolRequest } from '../../request';
import { BaseSecurityInPort } from '../BaseSecurityInPort';
export interface ISecurityInPortTokenMetadata {
    setName(request: SetNameRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    setSymbol(request: SetSymbolRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
}
export declare class SecurityInPortTokenMetadata extends BaseSecurityInPort implements ISecurityInPortTokenMetadata {
    setName(request: SetNameRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    setSymbol(request: SetSymbolRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
}
